#!/bin/sh
NEED_SHARE_SERVICES="pkg-LogCenter-localarchive pkg-LogCenter-recvrule"
LOGCENTER_TARGET=/var/packages/LogCenter/target
FILE_SYSLOGNG_SVR_INFO=${LOGCENTER_TARGET}/service/conf/server.conf
PKG_UTILS=/var/packages/LogCenter/scripts/pkg_utils
. ${PKG_UTILS}

IsLogCenterShare() {
	local ret="yes"
	if [ "${1}" != "`/bin/get_key_value ${FILE_SYSLOGNG_SVR_INFO} server_db_loc`"  ]; then
		ret="no"
	fi
	echo $ret
}

getUsingShareService() {
	local ENABLE_SERVICES=""
	for service in ${NEED_SHARE_SERVICES}; do
		msg=`synoservicectl --status ${service}`
		if [ $? -eq 0 ];then
			multi_lang_name="`get_multi_lang_by_service ${service}`"
			if [ "" = "${ENABLE_SERVICES}" ]; then
				ENABLE_SERVICES="${multi_lang_name}"
			else
				ENABLE_SERVICES="${ENABLE_SERVICES}, ${multi_lang_name}"
			fi
		fi
	done
	echo "$ENABLE_SERVICES"
}
