#!/bin/sh
# Copyright (c) 2000-2015 Synology Inc. All rights reserved.

IsServiceEnable(){
    SERVICE_ENABLE=0
    synoservice --is-enabled $1
    if [ "1" = "$?" ]; then
        SERVICE_ENABLE=1
    fi
}

IsServiceRunning(){
    SERVICE_RUNNING=0
    synoservice --status $1
    if [ "0" = "$?" ]; then
        SERVICE_RUNNING=1
    fi
}

ServiceRestart(){
    IsServiceRunning $1

    if [ "1" == ${SERVICE_RUNNING} ]; then
        synoservice --reload $1
    else
        synoservice --soft-start $1
    fi
}

SyslogCommonConfigGen() {
    SYSLOGNG_CONFIG_COMMON=${SYSLOGNG_CONFIG_FOLDER}/common.conf
    SYSLOGNG_CLIENT_FORMAT=`/bin/get_key_value ${LOGCENTER_TARGET}/service/conf/client.conf server_format` || true

    if [ "ietf" == "${SYSLOGNG_CLIENT_FORMAT}"   ]; then
        echo 'source s_syno_syslog { unix-stream("/var/run/syslog" owner("system") group("log") perm(0666) flags(syslog-protocol)); };' > ${SYSLOGNG_CONFIG_COMMON}
    else
        echo 'source s_syno_syslog { unix-stream("/var/run/syslog" owner("system") group("log") perm(0666)); };' > ${SYSLOGNG_CONFIG_COMMON}
    fi
}
