#!/bin/sh
# Copyright (c) 2000-2015 Synology Inc. All rights reserved.

LOCALARCH_DEST=""
LOCALARCH_ENABLE=false

SyslogLocalarchConfigGen(){
    LocalarchSettingGet
    LocalarchConfDataClear
    touch ${SYSLOGNG_CONFIG_ARCHIVE}
    LocalarchDestProcess
    LocalarchLogProcess
}

SyslogLocalarchConfigClr(){
    LocalarchConfDataClear
}

########################

LocalarchSettingGet(){
    synoservicectl --status pkg-LogCenter-localarchive
    if [ 1 == $? ]; then
        LOCALARCH_ENABLE=true
    fi

    if [ -f "${SYSLOGNG_SERVER_SETTING}" ]; then
        LOCALARCH_DEST=`/bin/get_key_value ${SYSLOGNG_SERVER_SETTING} arch_dest`
    else
        echo "Syslog setting file does not exist!";
        exit 1
    fi

    if [ "" == "${LOCALARCH_DEST}" ]; then
        exit 0
    fi
    if [ ! -e "${LOCALARCH_DEST}" ]; then
        echo "(${LOCALARCH_DEST}) does not exist!";
        exit 1
    fi
}

LocalarchConfDataClear(){
    rm -rf ${SYSLOGNG_CONFIG_ARCHIVE} > /dev/null 2>&1
}

LocalarchDestProcess(){
    cat ${SYSLOGNG_ARCHIVE_TEMPLATE_FOLDER}/arch_dest_db.template | sed -e "s=__SYNO_DB_PATH__=${LOCALARCH_DEST}/SYNOSYSLOGDB__LOCALARCH.DB=" >> ${SYSLOGNG_CONFIG_ARCHIVE}
}

LocalarchLogProcess(){
    echo "log { source(s_syno_syslog); destination(d_syno_local_arch_db); flags(flow_control); };" >> ${SYSLOGNG_CONFIG_ARCHIVE}
}
