#!/bin/sh

#Conf dir/file definition
LOGCENTER_TARGET=/var/packages/LogCenter/target
FILE_SYSLOGNG_SVR_INFO=${LOGCENTER_TARGET}/service/conf/server.conf

BIN_SYNO_SERVICECFG=/usr/syno/sbin/synoservice
BIN_SYSLOGNG_MAIL=/usr/syno/sbin/synosyslogmail
BIN_SYSLOGNG_SVRCTL=${LOGCENTER_TARGET}/tool/synosyslogsvrctl

KEY_SERVICE_ACC="pkg-LogCenter-acc"
KEY_SERVICE_ARCHIVE="pkg-LogCenter-localarchive"
KEY_SERVICE_RECVRULE="pkg-LogCenter-recvrule"

PackageInfoGet(){
    SYSLOGNG_PKG_NAME="LogCenter"
    SYSLOGNG_PKG_VERSION="1.0"
    SYSLOGNG_PKG_VENDOR="Synology Inc."
    SYSLOGNG_PKG_MODVER="2.0"
}

# $1 is the the share name that need to check
IsServiceShare() {
    # check config key
    if [ ! -f "${FILE_SYSLOGNG_SVR_INFO}" ]; then
	    return 1
    fi
    local SYSLOGNG_SVR_SHARE=`/bin/get_key_value ${FILE_SYSLOGNG_SVR_INFO} server_db_loc`
    if [ "" = "${SYSLOGNG_SVR_SHARE}" ]; then
	    return 1
    fi

    # if part: share_set and share_encrypt handle the only share ${1}
    # else part: share_delete need to handle multi-share from env variable
    local CHK_SHARE="${1}"
    SHARE_IDX=0
    if [ 1 -eq $# ]; then
	    if [ "${CHK_SHARE}" = "${SYSLOGNG_SVR_SHARE}" ]; then
			return 0
	    fi
    else
	    local CNT=1;
	    local NUM_ITEMS=$((NITEMS + 1))
	    while [ "${CNT}" != "${NUM_ITEMS}" ]
	    do
			eval "CHK_SHARE=\$SHARE_NAME_${CNT}"
			if [ "${CHK_SHARE}" = "${SYSLOGNG_SVR_SHARE}" ]; then
				SHARE_IDX="${CNT}"
				return 0
			fi
			CNT=$((CNT + 1))
	    done
    fi
    return 1
}

SyslogServiceLocSet(){
    RESULT_LOCSET=`${BIN_SYSLOGNG_SVRCTL} --cmdtype=SHARESET --share="${SHARE_NAME}" --oldsharepath="${ORIGIN_SHARE_PATH}"`
}

# Service control
SyslogServiceEnable(){
    SVR_ENABLE=`${BIN_SYNO_SERVICECFG} --is-enable $1`

    if [ "0" = "$?" ]; then
        ${BIN_SYNO_SERVICECFG} --soft-start $1
    fi
}
SyslogServiceDisable(){
    SVR_ENABLE=`${BIN_SYNO_SERVICECFG} --is-enable $1`

    if [ "1" = "$?" ]; then
        ${BIN_SYNO_SERVICECFG} --soft-stop $1
    fi
}

# Mailing relative functions
SyslogMailShareRename(){
    RESULT_MAIL=`${BIN_SYSLOGNG_MAIL} --mailtype=SHARE_RENAME --share=${SYSLOGNG_SVR_SHARE}`
}
SyslogMailShareRemove(){
    RESULT_MAIL=`${BIN_SYSLOGNG_MAIL} --mailtype=SHARE_REMOVE --share=${SYSLOGNG_SVR_SHARE}`
}
SyslogMailShareEncMount(){
    RESULT_MAIL=`${BIN_SYSLOGNG_MAIL} --mailtype=SHARE_ENCMNT --share=${SYSLOGNG_SVR_SHARE}`
}
SyslogMailShareEncUnmount(){
    RESULT_MAIL=`${BIN_SYSLOGNG_MAIL} --mailtype=SHARE_ENCUNMNT --share=${SYSLOGNG_SVR_SHARE}`
}
