#!/bin/sh

###############################################################
#   This script should be hooked when invoking SYNOShareDelete()
#   Usable environment variable:
#       NITEMS, SHARE_NAME_X, SHARE_PATH_X, SHARE_OP_RESULT_X
###############################################################

#Include common scripts
FILE_SYSLOGNG_INC_SCRP=/var/packages/LogCenter/target/service/sharehook/SyslogShareCommon.sh
KEY_VALUE_SET_BIN=/usr/syno/bin/synosetkeyvalue
. ${FILE_SYSLOGNG_INC_SCRP}
. /var/packages/LogCenter/scripts/pkg_utils

#At begining, acquire package settings
PackageInfoGet;

case $1 in
    --sdk-mod-ver)
        #Print SDK support version
        echo ${SYSLOGNG_PKG_MODVER};
    ;;
    --name)
        #Print package name
        echo ${SYSLOGNG_PKG_NAME};
    ;;
    --pkg-ver)
        #Print package version
        echo ${SYSLOGNG_PKG_VERSION};
    ;;
    --vendor)
        #Print package vendor
        echo ${SYSLOGNG_PKG_VENDOR};
    ;;
    --pre)
        # do nothing when usb unmounts share
        if /usr/syno/bin/synobootseq --is-shutdown > /dev/null 2>&1 ; then
            exit 0
        fi

        #Actions before share set
        if ! IsServiceShare ; then
            exit
        fi
        StopUseShareService
    ;;
    --post)
        #Actions after share set
        if ! IsServiceShare ; then
            exit
        fi

        #Send notification when removal is success
        eval "RESULT=\$SHARE_OP_RESULT_$SHARE_IDX"
        if [ "0x0000" = "${RESULT}" ]; then
            ${KEY_VALUE_SET_BIN} ${FILE_SYSLOGNG_SVR_INFO} server_db_loc ""
            ${KEY_VALUE_SET_BIN} ${FILE_SYSLOGNG_SVR_INFO} arch_dest ""
            ${BIN_RM} -rf ${ENABLE_SERVICE_CONF}
            SyslogMailShareRemove;
        fi

        ################################################
        # PS: Service is resumed/disabled by service framework
        ################################################
    ;;
    *)
        echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
    ;;
esac
